a,alpha,b,c,d,e,eps,epsilon,h,k,m,mc,p,q,r,x,y,z= symbols('a alpha b c d e eps epsilon h k m mc p q r x y z ')
lst=[["x**2+x+1",x,1,"x+1/2*x**2+1/3*x**3"],
["x**2*(2*x**2+x)**2",x,3,"1/5*x**5+2/3*x**6+4/7*x**7"],
["x*(x**2+2*x+1)",x,2,"1/2*x**2+2/3*x**3+1/4*x**4"],
["1/x",x,1,"ln(x)"],
["(1+x)**3/(-1+x)**4",x,2,"8/3/(1-x)**3-6/(1-x)**2+6/(1-x)+ln(1-x)"],
["1/(-1+x)/x/(1+x)**2",x,2,"-1/2/(1+x)+1/4*ln(1-x)-ln(x)+3/4*ln(1+x)"],
["(a*x+b)/(-p+x)/(-q+x)",x,2,"(a*p+b)*ln(p-x)/(p-q)-(a*q+b)*ln(q-x)/(p-q)"],
["1/(a*x**2+b*x+c)",x,2,"-2*atanh((2*a*x+b)/(-4*a*c+b**2)**(1/2))/(-4*a*c+b**2)**(1/2)"],
["(a*x+b)/(x**2+1)",x,3,"b*atan(x)+1/2*a*ln(x**2+1)"],
["1/(x**2-2*x+3)",x,2,"-1/2*atan(1/2*(1-x)*2**(1/2))*2**(1/2)"],
["1/(-1+x)**2/(x**2+1)**2",x,6,"1/4/(1-x)-1/4/(x**2+1)+1/4*atan(x)-1/2*ln(1-x)+1/4*ln(x**2+1)"],
["x/(-a+x)/(-b+x)/(-c+x)",x,2,"a*ln(a-x)/(a-b)/(a-c)-b*ln(b-x)/(a-b)/(b-c)+c*ln(c-x)/(a-c)/(b-c)"],
["x/(a**2+x**2)/(b**2+x**2)",x,4,"-1/2*ln(a**2+x**2)/(a**2-b**2)+1/2*ln(b**2+x**2)/(a**2-b**2)"],
["x**2/(a**2+x**2)/(b**2+x**2)",x,3,"a*atan(x/a)/(a**2-b**2)-b*atan(x/b)/(a**2-b**2)"],
["x/(-1+x)/(x**2+1)",x,5,"1/2*atan(x)+1/2*ln(1-x)-1/4*ln(x**2+1)"],
["x/(x**3+1)",x,6,"-1/3*ln(1+x)+1/6*ln(x**2-x+1)-1/3*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)"],
["x**3/(-1+x)**2/(x**3+1)",x,3,"1/2/(1-x)+3/4*ln(1-x)-1/12*ln(1+x)-1/3*ln(x**2-x+1)"],
["1/(x**4+1)",x,9,"1/4*atan(-1+x*2**(1/2))*2**(1/2)+1/4*atan(1+x*2**(1/2))*2**(1/2)-1/8*ln(1+x**2-x*2**(1/2))*2**(1/2)+1/8*ln(1+x**2+x*2**(1/2))*2**(1/2)"],
["x**2/(x**4+1)",x,9,"1/4*atan(-1+x*2**(1/2))*2**(1/2)+1/4*atan(1+x*2**(1/2))*2**(1/2)+1/8*ln(1+x**2-x*2**(1/2))*2**(1/2)-1/8*ln(1+x**2+x*2**(1/2))*2**(1/2)"],
["1/(x**4+x**2+1)",x,9,"-1/4*ln(x**2-x+1)+1/4*ln(x**2+x+1)-1/6*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)+1/6*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["(b*x+a)**p",x,1,"(b*x+a)**(1+p)/b/(1+p)"],
["x*(b*x+a)**p",x,2,"-a*(b*x+a)**(1+p)/b**2/(1+p)+(b*x+a)**(2+p)/b**2/(2+p)"],
["x**2*(b*x+a)**p",x,2,"a**2*(b*x+a)**(1+p)/b**3/(1+p)-2*a*(b*x+a)**(2+p)/b**3/(2+p)+(b*x+a)**(3+p)/b**3/(3+p)"],
["1/(b*x+a)",x,1,"ln(b*x+a)/b"],
["1/(b*x+a)**2",x,1,"-1/b/(b*x+a)"],
["x/(b*x+a)",x,2,"x/b-a*ln(b*x+a)/b**2"],
["x**2/(b*x+a)",x,2,"-a*x/b**2+1/2*x**2/b+a**2*ln(b*x+a)/b**3"],
["1/x/(b*x+a)",x,3,"ln(x)/a-ln(b*x+a)/a"],
["1/x**2/(b*x+a)",x,2,"-1/a/x-b*ln(x)/a**2+b*ln(b*x+a)/a**2"],
["1/x**2/(b*x+a)**2",x,2,"-1/a**2/x-b/a**2/(b*x+a)-2*b*ln(x)/a**3+2*b*ln(b*x+a)/a**3"],
["1/(c**2+x**2)",x,1,"atan(x/c)/c"],
["1/(c**2-x**2)",x,1,"atanh(x/c)/c"],
["1/(2*x**3-1)",x,6,"1/6*ln(1-2**(1/3)*x)*2**(2/3)-1/12*ln(1+2**(1/3)*x+2**(2/3)*x**2)*2**(2/3)-1/6*atan(1/3*(1+2*2**(1/3)*x)*3**(1/2))*2**(2/3)*3**(1/2)"],
["1/(x**3-2)",x,6,"1/6*ln(2**(1/3)-x)*2**(1/3)-1/12*ln(2**(2/3)+2**(1/3)*x+x**2)*2**(1/3)-1/6*atan(1/3*(1+2**(2/3)*x)*3**(1/2))*2**(1/3)*3**(1/2)"],
["1/(a*x**3-b)",x,6,"1/3*ln(b**(1/3)-a**(1/3)*x)/a**(1/3)/b**(2/3)-1/6*ln(b**(2/3)+a**(1/3)*b**(1/3)*x+a**(2/3)*x**2)/a**(1/3)/b**(2/3)-1/3*atan(1/3*(b**(1/3)+2*a**(1/3)*x)/b**(1/3)*3**(1/2))/a**(1/3)/b**(2/3)*3**(1/2)"],
["1/(x**4-2)",x,3,"-1/4*atan(1/2*x*2**(3/4))*2**(1/4)-1/4*atanh(1/2*x*2**(3/4))*2**(1/4)"],
["1/(5*x**4-1)",x,3,"-1/10*atan(5**(1/4)*x)*5**(3/4)-1/10*atanh(5**(1/4)*x)*5**(3/4)"],
["1/(3*x**4+7)",x,9,"1/84*atan(-1+1/7*3**(1/4)*7**(3/4)*x*2**(1/2))*3**(3/4)*7**(1/4)*2**(1/2)+1/84*atan(1+1/7*3**(1/4)*7**(3/4)*x*2**(1/2))*3**(3/4)*7**(1/4)*2**(1/2)-1/168*ln(3*x**2-3**(3/4)*7**(1/4)*x*2**(1/2)+21**(1/2))*3**(3/4)*7**(1/4)*2**(1/2)+1/168*ln(3*x**2+3**(3/4)*7**(1/4)*x*2**(1/2)+21**(1/2))*3**(3/4)*7**(1/4)*2**(1/2)"],
["1/(x**4+3*x**2-1)",x,3,"-1/13*atan(x*2**(1/2)/(3+13**(1/2))**(1/2))*26**(1/2)/(3+13**(1/2))**(1/2)-1/26*atanh(x*2**(1/2)/(-3+13**(1/2))**(1/2))*(78+26*13**(1/2))**(1/2)"],
["1/(x**4-3*x**2-1)",x,3,"-1/13*atanh(x*2**(1/2)/(3+13**(1/2))**(1/2))*26**(1/2)/(3+13**(1/2))**(1/2)-1/26*atan(x*2**(1/2)/(-3+13**(1/2))**(1/2))*(78+26*13**(1/2))**(1/2)"],
["1/(x**4-3*x**2+1)",x,3,"-1/5*atanh(x*2**(1/2)/(3+5**(1/2))**(1/2))*10**(1/2)/(3+5**(1/2))**(1/2)+atanh(x*(1/2+1/2*5**(1/2)))*(1/2+1/10*5**(1/2))"],
["1/(x**4-4*x**2+1)",x,3,"1/2*atanh(x/(1/2*6**(1/2)-1/2*2**(1/2)))/(3/2*2**(1/2)-1/2*6**(1/2))-1/2*atanh(x/(1/2*6**(1/2)+1/2*2**(1/2)))/(3/2*2**(1/2)+1/2*6**(1/2))"],
["1/(x**4+4*x**2+1)",x,3,"1/2*atan(x/(1/2*6**(1/2)-1/2*2**(1/2)))/(3/2*2**(1/2)-1/2*6**(1/2))-1/2*atan(x/(1/2*6**(1/2)+1/2*2**(1/2)))/(3/2*2**(1/2)+1/2*6**(1/2))"],
["1/(x**4+x**2+2)",x,9,"-1/28*atan((-2*x+(-1+2*2**(1/2))**(1/2))/(1+2*2**(1/2))**(1/2))*(-14+28*2**(1/2))**(1/2)+1/28*atan((2*x+(-1+2*2**(1/2))**(1/2))/(1+2*2**(1/2))**(1/2))*(-14+28*2**(1/2))**(1/2)-1/4*ln(x**2+2**(1/2)-x*(-1+2*2**(1/2))**(1/2))/(-2+4*2**(1/2))**(1/2)+1/4*ln(x**2+2**(1/2)+x*(-1+2*2**(1/2))**(1/2))/(-2+4*2**(1/2))**(1/2)"],
["1/(x**4-x**2+2)",x,9,"-1/28*atan((-2*x+(1+2*2**(1/2))**(1/2))/(-1+2*2**(1/2))**(1/2))*(14+28*2**(1/2))**(1/2)+1/28*atan((2*x+(1+2*2**(1/2))**(1/2))/(-1+2*2**(1/2))**(1/2))*(14+28*2**(1/2))**(1/2)-1/4*ln(x**2+2**(1/2)-x*(1+2*2**(1/2))**(1/2))/(2+4*2**(1/2))**(1/2)+1/4*ln(x**2+2**(1/2)+x*(1+2*2**(1/2))**(1/2))/(2+4*2**(1/2))**(1/2)"],
["1/(x**6-1)",x,10,"-1/3*atanh(x)+1/12*ln(x**2-x+1)-1/12*ln(x**2+x+1)+1/6*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)-1/6*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["1/(x**6-2)",x,10,"-1/6*atanh(1/2*x*2**(5/6))*2**(1/6)+1/24*ln(2**(1/3)-2**(1/6)*x+x**2)*2**(1/6)-1/24*ln(2**(1/3)+2**(1/6)*x+x**2)*2**(1/6)-1/12*atan(-1/3*3**(1/2)+1/3*2**(5/6)*x*3**(1/2))*2**(1/6)*3**(1/2)-1/12*atan(1/3*3**(1/2)+1/3*2**(5/6)*x*3**(1/2))*2**(1/6)*3**(1/2)"],
["1/(x**6+2)",x,10,"1/6*atan(1/2*x*2**(5/6))*2**(1/6)+1/12*atan(x*2**(5/6)-3**(1/2))*2**(1/6)+1/12*atan(x*2**(5/6)+3**(1/2))*2**(1/6)-1/24*ln(2**(1/3)+x**2-2**(1/6)*x*3**(1/2))*2**(1/6)*3**(1/2)+1/24*ln(2**(1/3)+x**2+2**(1/6)*x*3**(1/2))*2**(1/6)*3**(1/2)"],
["1/(x**8+1)",x,19,"-1/16*ln(1+x**2-x*(2-2**(1/2))**(1/2))*(2-2**(1/2))**(1/2)+1/16*ln(1+x**2+x*(2-2**(1/2))**(1/2))*(2-2**(1/2))**(1/2)-1/4*atan((-2*x+(2-2**(1/2))**(1/2))/(2+2**(1/2))**(1/2))/(4-2*2**(1/2))**(1/2)+1/4*atan((2*x+(2-2**(1/2))**(1/2))/(2+2**(1/2))**(1/2))/(4-2*2**(1/2))**(1/2)-1/16*ln(1+x**2-x*(2+2**(1/2))**(1/2))*(2+2**(1/2))**(1/2)+1/16*ln(1+x**2+x*(2+2**(1/2))**(1/2))*(2+2**(1/2))**(1/2)-1/4*atan((-2*x+(2+2**(1/2))**(1/2))/(2-2**(1/2))**(1/2))/(4+2*2**(1/2))**(1/2)+1/4*atan((2*x+(2+2**(1/2))**(1/2))/(2-2**(1/2))**(1/2))/(4+2*2**(1/2))**(1/2)"],
["1/(x**8-1)",x,13,"-1/4*atan(x)-1/4*atanh(x)-1/8*atan(-1+x*2**(1/2))*2**(1/2)-1/8*atan(1+x*2**(1/2))*2**(1/2)+1/16*ln(1+x**2-x*2**(1/2))*2**(1/2)-1/16*ln(1+x**2+x*2**(1/2))*2**(1/2)"],
["1/(x**8-x**4+1)",x,19,"-1/12*atan((-2*x+1/2*6**(1/2)-1/2*2**(1/2))/(1/2*6**(1/2)+1/2*2**(1/2)))*6**(1/2)+1/12*atan((2*x+1/2*6**(1/2)-1/2*2**(1/2))/(1/2*6**(1/2)+1/2*2**(1/2)))*6**(1/2)-1/12*atan((-2*x+1/2*6**(1/2)+1/2*2**(1/2))/(1/2*6**(1/2)-1/2*2**(1/2)))*6**(1/2)+1/12*atan((2*x+1/2*6**(1/2)+1/2*2**(1/2))/(1/2*6**(1/2)-1/2*2**(1/2)))*6**(1/2)-1/24*ln(1+x**2-x*(1/2*6**(1/2)-1/2*2**(1/2)))*6**(1/2)+1/24*ln(1+x**2+x*(1/2*6**(1/2)-1/2*2**(1/2)))*6**(1/2)-1/24*ln(1+x**2-x*(1/2*6**(1/2)+1/2*2**(1/2)))*6**(1/2)+1/24*ln(1+x**2+x*(1/2*6**(1/2)+1/2*2**(1/2)))*6**(1/2)"],
["x**7/(x**12+1)",x,7,"-1/12*ln(x**4+1)+1/24*ln(x**8-x**4+1)-1/12*atan(1/3*(-2*x**4+1)*3**(1/2))*3**(1/2)"],
["ln(x)",x,1,"-x+x*ln(x)"],
["x*ln(x)",x,1,"-1/4*x**2+1/2*x**2*ln(x)"],
["x**2*ln(x)",x,1,"-1/9*x**3+1/3*x**3*ln(x)"],
["x**p*ln(x)",x,1,"-x**(1+p)/(1+p)**2+x**(1+p)*ln(x)/(1+p)"],
["ln(x)**2",x,2,"2*x-2*x*ln(x)+x*ln(x)**2"],
["x**9*ln(x)**11",x,11,"-6237/156250000*x**10+6237/15625000*x**10*ln(x)-6237/3125000*x**10*ln(x)**2+2079/312500*x**10*ln(x)**3-2079/125000*x**10*ln(x)**4+2079/62500*x**10*ln(x)**5-693/12500*x**10*ln(x)**6+99/1250*x**10*ln(x)**7-99/1000*x**10*ln(x)**8+11/100*x**10*ln(x)**9-11/100*x**10*ln(x)**10+1/10*x**10*ln(x)**11"],
["ln(x)**2/x",x,2,"1/3*ln(x)**3"],
["1/ln(x)",x,1,"Li(x)"],
["1/ln(1+x)",x,2,"Li(1+x)"],
["1/x/ln(x)",x,2,"ln(ln(x))"],
["1/x**2/ln(x)**2",x,3,"-Ei(-ln(x))-1/x/ln(x)"],
["ln(x)**p/x",x,2,"ln(x)**(1+p)/(1+p)"],
["(a*x+b)*ln(x)",x,2,"-b*x-1/4*a*x**2+b*x*ln(x)+1/2*a*x**2*ln(x)"],
["(a*x+b)**2*ln(x)",x,4,"-b**2*x-1/2*a*b*x**2-1/9*a**2*x**3-1/3*b**3*ln(x)/a+1/3*(a*x+b)**3*ln(x)/a"],
["ln(x)/(a*x+b)**2",x,2,"x*ln(x)/b/(a*x+b)-ln(a*x+b)/a/b"],
["x*ln(a*x+b)",x,3,"1/2*b*x/a-1/4*x**2-1/2*b**2*ln(a*x+b)/a**2+1/2*x**2*ln(a*x+b)"],
["x**2*ln(a*x+b)",x,3,"-1/3*b**2*x/a**2+1/6*b*x**2/a-1/9*x**3+1/3*b**3*ln(a*x+b)/a**3+1/3*x**3*ln(a*x+b)"],
["ln(a**2+x**2)",x,3,"-2*x+2*a*atan(x/a)+x*ln(a**2+x**2)"],
["x*ln(a**2+x**2)",x,3,"-1/2*x**2+1/2*(a**2+x**2)*ln(a**2+x**2)"],
["x**2*ln(a**2+x**2)",x,4,"2/3*a**2*x-2/9*x**3-2/3*a**3*atan(x/a)+1/3*x**3*ln(a**2+x**2)"],
["x**4*ln(a**2+x**2)",x,4,"-2/5*a**4*x+2/15*a**2*x**3-2/25*x**5+2/5*a**5*atan(x/a)+1/5*x**5*ln(a**2+x**2)"],
["ln(-a**2+x**2)",x,3,"-2*x+2*a*atanh(x/a)+x*ln(-a**2+x**2)"],
["ln(ln(ln(ln(x))))",x,0,"CannotIntegrate(ln(ln(ln(ln(x)))),x)"],
["sin(x)",x,1,"-cos(x)"],
["cos(x)",x,1,"sin(x)"],
["tan(x)",x,1,"-ln(cos(x))"],
["1/tan(x)",x,1,"ln(sin(x))"],
["1/(1+tan(x))**2",x,2,"1/2*ln(cos(x)+sin(x))-1/2/(1+tan(x))"],
["1/cos(x)",x,1,"atanh(sin(x))"],
["1/sin(x)",x,1,"-atanh(cos(x))"],
["sin(x)**2",x,2,"1/2*x-1/2*cos(x)*sin(x)"],
["x**3*sin(x**2)",x,3,"-1/2*x**2*cos(x**2)+1/2*sin(x**2)"],
["sin(x)**3",x,2,"-cos(x)+1/3*cos(x)**3"],
["sin(x)**p",x,1,"cos(x)*hyper([1/2, 1/2+1/2*p],[3/2+1/2*p],sin(x)**2)*sin(x)**(1+p)/(1+p)/(cos(x)**2)**(1/2)"],
["cos(x)*(1+sin(x)**2)**2",x,3,"sin(x)+2/3*sin(x)**3+1/5*sin(x)**5"],
["cos(x)**2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)**3",x,2,"sin(x)-1/3*sin(x)**3"],
["1/cos(x)**2",x,2,"tan(x)"],
["sin(x)*sin(2*x)",x,1,"1/2*sin(x)-1/6*sin(3*x)"],
["x*sin(x)",x,2,"-x*cos(x)+sin(x)"],
["x**2*sin(x)",x,3,"2*cos(x)-x**2*cos(x)+2*x*sin(x)"],
["x*sin(x)**2",x,2,"1/4*x**2-1/2*x*cos(x)*sin(x)+1/4*sin(x)**2"],
["x**2*sin(x)**2",x,4,"-1/4*x+1/6*x**3+1/4*cos(x)*sin(x)-1/2*x**2*cos(x)*sin(x)+1/2*x*sin(x)**2"],
["x*sin(x)**3",x,3,"-2/3*x*cos(x)+2/3*sin(x)-1/3*x*cos(x)*sin(x)**2+1/9*sin(x)**3"],
["x*cos(x)",x,2,"cos(x)+x*sin(x)"],
["x**2*cos(x)",x,3,"2*x*cos(x)-2*sin(x)+x**2*sin(x)"],
["x*cos(x)**2",x,2,"1/4*x**2+1/4*cos(x)**2+1/2*x*cos(x)*sin(x)"],
["x**2*cos(x)**2",x,4,"-1/4*x+1/6*x**3+1/2*x*cos(x)**2-1/4*cos(x)*sin(x)+1/2*x**2*cos(x)*sin(x)"],
["x*cos(x)**3",x,3,"2/3*cos(x)+1/9*cos(x)**3+2/3*x*sin(x)+1/3*x*cos(x)**2*sin(x)"],
["sin(x)/x",x,1,"Si(x)"],
["cos(x)/x",x,1,"Ci(x)"],
["sin(x)/x**2",x,2,"Ci(x)-sin(x)/x"],
["sin(x)**2/x",x,3,"-1/2*Ci(2*x)+1/2*ln(x)"],
["tan(x)**3",x,2,"ln(cos(x))+1/2*tan(x)**2"],
["sin(b*x+a)",x,1,"-cos(b*x+a)/b"],
["cos(b*x+a)",x,1,"sin(b*x+a)/b"],
["tan(b*x+a)",x,1,"-ln(cos(b*x+a))/b"],
["1/tan(b*x+a)",x,1,"ln(sin(b*x+a))/b"],
["1/sin(b*x+a)",x,1,"-atanh(cos(b*x+a))/b"],
["1/cos(b*x+a)",x,1,"atanh(sin(b*x+a))/b"],
["sin(b*x+a)**2",x,2,"1/2*x-1/2*cos(b*x+a)*sin(b*x+a)/b"],
["sin(b*x+a)**3",x,2,"-cos(b*x+a)/b+1/3*cos(b*x+a)**3/b"],
["cos(b*x+a)**2",x,2,"1/2*x+1/2*cos(b*x+a)*sin(b*x+a)/b"],
["cos(b*x+a)**3",x,2,"sin(b*x+a)/b-1/3*sin(b*x+a)**3/b"],
["1/cos(b*x+a)**2",x,2,"tan(b*x+a)/b"],
["1/(1+cos(x))",x,1,"sin(x)/(1+cos(x))"],
["1/(1-cos(x))",x,1,"-sin(x)/(1-cos(x))"],
["1/(1+sin(x))",x,1,"-cos(x)/(1+sin(x))"],
["1/(1-sin(x))",x,1,"cos(x)/(1-sin(x))"],
["1/(a+b*sin(x))",x,3,"2*atan((b+a*tan(1/2*x))/(a**2-b**2)**(1/2))/(a**2-b**2)**(1/2)"],
["1/(a+cos(x)+b*sin(x))",x,3,"-2*atanh((b-(1-a)*tan(1/2*x))/(-a**2+b**2+1)**(1/2))/(-a**2+b**2+1)**(1/2)"],
["x**2*sin(b*x+a)**2",x,4,"-1/4*x/b**2+1/6*x**3+1/4*cos(b*x+a)*sin(b*x+a)/b**3-1/2*x**2*cos(b*x+a)*sin(b*x+a)/b+1/2*x*sin(b*x+a)**2/b**2"],
["cos(x)*cos(2*x)",x,1,"1/2*sin(x)+1/6*sin(3*x)"],
["x**2*cos(b*x+a)**2",x,4,"-1/4*x/b**2+1/6*x**3+1/2*x*cos(b*x+a)**2/b**2-1/4*cos(b*x+a)*sin(b*x+a)/b**3+1/2*x**2*cos(b*x+a)*sin(b*x+a)/b"],
["1/tan(x)**3",x,2,"-1/2*cot(x)**2-ln(sin(x))"],
["x**3*tan(x)**4",x,17,"-1/2*x**2+4/3*I*x**3+1/4*x**4-4*x**2*ln(1+exp(2*I*x))+ln(cos(x))+4*I*x*polylog(2,-exp(2*I*x))-2*polylog(3,-exp(2*I*x))+x*tan(x)-x**3*tan(x)-1/2*x**2*tan(x)**2+1/3*x**3*tan(x)**3"],
["x**3*tan(x)**6",x,34,"19/20*x**2-23/15*I*x**3-1/4*x**4+23/5*x**2*ln(1+exp(2*I*x))-2*ln(cos(x))-23/5*I*x*polylog(2,-exp(2*I*x))+23/10*polylog(3,-exp(2*I*x))-19/10*x*tan(x)+x**3*tan(x)-1/20*tan(x)**2+4/5*x**2*tan(x)**2+1/10*x*tan(x)**3-1/3*x**3*tan(x)**3-3/20*x**2*tan(x)**4+1/5*x**3*tan(x)**5"],
["x*tan(x)**2",x,3,"-1/2*x**2+ln(cos(x))+x*tan(x)"],
["cos(3*x)*sin(2*x)",x,1,"1/2*cos(x)-1/10*cos(5*x)"],
["cos(x)**2*sin(x)**2",x,3,"1/8*x+1/8*cos(x)*sin(x)-1/4*cos(x)**3*sin(x)"],
["1/cos(x)**2/sin(x)**2",x,3,"-cot(x)+tan(x)"],
["d**x*sin(x)",x,1,"-d**x*cos(x)/(1+ln(d)**2)+d**x*ln(d)*sin(x)/(1+ln(d)**2)"],
["d**x*cos(x)",x,1,"d**x*cos(x)*ln(d)/(1+ln(d)**2)+d**x*sin(x)/(1+ln(d)**2)"],
["d**x*x*sin(x)",x,4,"2*d**x*cos(x)*ln(d)/(1+ln(d)**2)**2-d**x*x*cos(x)/(1+ln(d)**2)+d**x*sin(x)/(1+ln(d)**2)**2-d**x*ln(d)**2*sin(x)/(1+ln(d)**2)**2+d**x*x*ln(d)*sin(x)/(1+ln(d)**2)"],
["d**x*x*cos(x)",x,4,"d**x*cos(x)/(1+ln(d)**2)**2-d**x*cos(x)*ln(d)**2/(1+ln(d)**2)**2+d**x*x*cos(x)*ln(d)/(1+ln(d)**2)-2*d**x*ln(d)*sin(x)/(1+ln(d)**2)**2+d**x*x*sin(x)/(1+ln(d)**2)"],
["d**x*x**2*sin(x)",x,11,"2*d**x*cos(x)/(1+ln(d)**2)**3-6*d**x*cos(x)*ln(d)**2/(1+ln(d)**2)**3+4*d**x*x*cos(x)*ln(d)/(1+ln(d)**2)**2-d**x*x**2*cos(x)/(1+ln(d)**2)-6*d**x*ln(d)*sin(x)/(1+ln(d)**2)**3+2*d**x*ln(d)**3*sin(x)/(1+ln(d)**2)**3+2*d**x*x*sin(x)/(1+ln(d)**2)**2-2*d**x*x*ln(d)**2*sin(x)/(1+ln(d)**2)**2+d**x*x**2*ln(d)*sin(x)/(1+ln(d)**2)"],
["d**x*x**2*cos(x)",x,11,"-6*d**x*cos(x)*ln(d)/(1+ln(d)**2)**3+2*d**x*cos(x)*ln(d)**3/(1+ln(d)**2)**3+2*d**x*x*cos(x)/(1+ln(d)**2)**2-2*d**x*x*cos(x)*ln(d)**2/(1+ln(d)**2)**2+d**x*x**2*cos(x)*ln(d)/(1+ln(d)**2)-2*d**x*sin(x)/(1+ln(d)**2)**3+6*d**x*ln(d)**2*sin(x)/(1+ln(d)**2)**3-4*d**x*x*ln(d)*sin(x)/(1+ln(d)**2)**2+d**x*x**2*sin(x)/(1+ln(d)**2)"],
["d**x*x**3*sin(x)",x,25,"-24*d**x*cos(x)*ln(d)/(1+ln(d)**2)**4+24*d**x*cos(x)*ln(d)**3/(1+ln(d)**2)**4+6*d**x*x*cos(x)/(1+ln(d)**2)**3-18*d**x*x*cos(x)*ln(d)**2/(1+ln(d)**2)**3+6*d**x*x**2*cos(x)*ln(d)/(1+ln(d)**2)**2-d**x*x**3*cos(x)/(1+ln(d)**2)-6*d**x*sin(x)/(1+ln(d)**2)**4+36*d**x*ln(d)**2*sin(x)/(1+ln(d)**2)**4-6*d**x*ln(d)**4*sin(x)/(1+ln(d)**2)**4-18*d**x*x*ln(d)*sin(x)/(1+ln(d)**2)**3+6*d**x*x*ln(d)**3*sin(x)/(1+ln(d)**2)**3+3*d**x*x**2*sin(x)/(1+ln(d)**2)**2-3*d**x*x**2*ln(d)**2*sin(x)/(1+ln(d)**2)**2+d**x*x**3*ln(d)*sin(x)/(1+ln(d)**2)"],
["d**x*x**3*cos(x)",x,25,"-6*d**x*cos(x)/(1+ln(d)**2)**4+36*d**x*cos(x)*ln(d)**2/(1+ln(d)**2)**4-6*d**x*cos(x)*ln(d)**4/(1+ln(d)**2)**4-18*d**x*x*cos(x)*ln(d)/(1+ln(d)**2)**3+6*d**x*x*cos(x)*ln(d)**3/(1+ln(d)**2)**3+3*d**x*x**2*cos(x)/(1+ln(d)**2)**2-3*d**x*x**2*cos(x)*ln(d)**2/(1+ln(d)**2)**2+d**x*x**3*cos(x)*ln(d)/(1+ln(d)**2)+24*d**x*ln(d)*sin(x)/(1+ln(d)**2)**4-24*d**x*ln(d)**3*sin(x)/(1+ln(d)**2)**4-6*d**x*x*sin(x)/(1+ln(d)**2)**3+18*d**x*x*ln(d)**2*sin(x)/(1+ln(d)**2)**3-6*d**x*x**2*ln(d)*sin(x)/(1+ln(d)**2)**2+d**x*x**3*sin(x)/(1+ln(d)**2)"],
["sin(x)*sin(2*x)*sin(3*x)",x,5,"-1/8*cos(2*x)-1/16*cos(4*x)+1/24*cos(6*x)"],
["cos(x)*cos(2*x)*cos(3*x)",x,5,"1/4*x+1/8*sin(2*x)+1/16*sin(4*x)+1/24*sin(6*x)"],
["x**2*sin(k*x)**3",x,6,"14/9*cos(k*x)/k**3-2/3*x**2*cos(k*x)/k-2/27*cos(k*x)**3/k**3+4/3*x*sin(k*x)/k**2-1/3*x**2*cos(k*x)*sin(k*x)**2/k+2/9*x*sin(k*x)**3/k**2"],
["x*cos(x)*cos(k/sin(x))/sin(x)**2",x,0,"CannotIntegrate(x*cos(k*csc(x))*cot(x)*csc(x),x)"],
["cos(x)/sin(x)/tan(1/2*x)",x,4,"-x-cot(1/2*x)"],
["sin(a*x)/(b+c*sin(a*x))**2",x,5,"-2*c*atan((c+b*tan(1/2*a*x))/(b**2-c**2)**(1/2))/a/(b**2-c**2)**(3/2)-b*cos(a*x)/a/(b**2-c**2)/(b+c*sin(a*x))"],
["sin(ln(x))",x,1,"-1/2*x*cos(ln(x))+1/2*x*sin(ln(x))"],
["cos(ln(x))",x,1,"1/2*x*cos(ln(x))+1/2*x*sin(ln(x))"],
["exp(x)",x,1,"exp(x)"],
["a**x",x,1,"a**x/ln(a)"],
["exp(a*x)",x,1,"exp(a*x)/a"],
["exp(a*x)/x",x,1,"Ei(a*x)"],
["1/(a+b*exp(m*x))",x,4,"x/a-ln(a+b*exp(m*x))/a/m"],
["exp(2*x)/(1+exp(x))",x,3,"exp(x)-ln(1+exp(x))"],
["exp(a*x+2*x)",x,2,"exp((2+a)*x)/(2+a)"],
["1/(b/exp(m*x)+a*exp(m*x))",x,2,"atan(exp(m*x)*a**(1/2)/b**(1/2))/m/a**(1/2)/b**(1/2)"],
["exp(a*x)*x",x,2,"-exp(a*x)/a**2+exp(a*x)*x/a"],
["exp(x)*x**20",x,21,"2432902008176640000*exp(x)-2432902008176640000*exp(x)*x+1216451004088320000*exp(x)*x**2-405483668029440000*exp(x)*x**3+101370917007360000*exp(x)*x**4-20274183401472000*exp(x)*x**5+3379030566912000*exp(x)*x**6-482718652416000*exp(x)*x**7+60339831552000*exp(x)*x**8-6704425728000*exp(x)*x**9+670442572800*exp(x)*x**10-60949324800*exp(x)*x**11+5079110400*exp(x)*x**12-390700800*exp(x)*x**13+27907200*exp(x)*x**14-1860480*exp(x)*x**15+116280*exp(x)*x**16-6840*exp(x)*x**17+380*exp(x)*x**18-20*exp(x)*x**19+exp(x)*x**20"],
["a**x/(b**x)",x,2,"a**x/(b**x)/(ln(a)-ln(b))"],
["a**x*b**x",x,2,"a**x*b**x/(ln(a)+ln(b))"],
["a**x/x**2",x,2,"-a**x/x+Ei(x*ln(a))*ln(a)"],
["a**x*x/(b*x+1)**2",x,5,"a**x/b**2/(b*x+1)+Ei((b*x+1)*ln(a)/b)/(a**(1/b))/b**2-Ei((b*x+1)*ln(a)/b)*ln(a)/(a**(1/b))/b**3"],
["exp(a*x)*x/(a*x+1)**2",x,1,"exp(a*x)/a**2/(a*x+1)"],
["k**(x**2)*x",x,1,"1/2*k**(x**2)/ln(k)"],
["exp(x**2)",x,1,"1/2*erfi(x)*pi**(1/2)"],
["exp(x**2)*x",x,1,"1/2*exp(x**2)"],
["exp(1/x)*(1+x)/x**4",x,7,"-exp(1/x)-exp(1/x)/x**2+exp(1/x)/x"],
["exp(1-exp(x**2)*x+2*x**2)*(2*x**3+x)/(1-exp(x**2)*x)**2",x,-3,"-exp(1-exp(x**2)*x)/(-1+exp(x**2)*x)"],
["exp(exp(exp(exp(x))))",x,1,"CannotIntegrate(exp(exp(exp(exp(x)))),x)"],
["exp(x)*ln(x)",x,2,"-Ei(x)+exp(x)*ln(x)"],
["exp(x)*x*ln(x)",x,5,"-exp(x)+Ei(x)-exp(x)*ln(x)+exp(x)*x*ln(x)"],
["exp(2*x)*ln(exp(x))",x,3,"-1/4*exp(2*x)+1/2*exp(2*x)*ln(exp(x))"],
["2*x+x**2*2**(1/2)",x,1,"x**2+1/3*x**3*2**(1/2)"],
["ln(x)/(a*x+b)**(1/2)",x,4,"4*atanh((a*x+b)**(1/2)/b**(1/2))*b**(1/2)/a-4*(a*x+b)**(1/2)/a+2*ln(x)*(a*x+b)**(1/2)/a"],
["(b*x+a)**(1/2)*(d*x+c)**(1/2)",x,5,"-1/4*(-a*d+b*c)**2*atanh(d**(1/2)*(b*x+a)**(1/2)/b**(1/2)/(d*x+c)**(1/2))/b**(3/2)/d**(3/2)+1/2*(b*x+a)**(3/2)*(d*x+c)**(1/2)/b+1/4*(-a*d+b*c)*(b*x+a)**(1/2)*(d*x+c)**(1/2)/b/d"],
["(b*x+a)**(1/2)",x,1,"2/3*(b*x+a)**(3/2)/b"],
["x*(b*x+a)**(1/2)",x,2,"-2/3*a*(b*x+a)**(3/2)/b**2+2/5*(b*x+a)**(5/2)/b**2"],
["x**2*(b*x+a)**(1/2)",x,2,"2/3*a**2*(b*x+a)**(3/2)/b**3-4/5*a*(b*x+a)**(5/2)/b**3+2/7*(b*x+a)**(7/2)/b**3"],
["(b*x+a)**(1/2)/x",x,3,"-2*atanh((b*x+a)**(1/2)/a**(1/2))*a**(1/2)+2*(b*x+a)**(1/2)"],
["(b*x+a)**(1/2)/x**2",x,3,"-b*atanh((b*x+a)**(1/2)/a**(1/2))/a**(1/2)-(b*x+a)**(1/2)/x"],
["1/(b*x+a)**(1/2)",x,1,"2*(b*x+a)**(1/2)/b"],
["x/(b*x+a)**(1/2)",x,2,"2/3*(b*x+a)**(3/2)/b**2-2*a*(b*x+a)**(1/2)/b**2"],
["x**2/(b*x+a)**(1/2)",x,2,"-4/3*a*(b*x+a)**(3/2)/b**3+2/5*(b*x+a)**(5/2)/b**3+2*a**2*(b*x+a)**(1/2)/b**3"],
["1/x/(b*x+a)**(1/2)",x,2,"-2*atanh((b*x+a)**(1/2)/a**(1/2))/a**(1/2)"],
["1/x**2/(b*x+a)**(1/2)",x,3,"b*atanh((b*x+a)**(1/2)/a**(1/2))/a**(3/2)-(b*x+a)**(1/2)/a/x"],
["((b*x+a)**(1/2))**p",x,1,"2*(b*x+a)**(1+1/2*p)/b/(2+p)"],
["x*((b*x+a)**(1/2))**p",x,2,"-2*a*(b*x+a)**(1+1/2*p)/b**2/(2+p)+2*(b*x+a)**(2+1/2*p)/b**2/(4+p)"],
["atan(1/2*(2*x-2**(1/2))*2**(1/2))",x,6,"x*atan(-1+x*2**(1/2))-1/2*atan(-1+x*2**(1/2))*2**(1/2)-1/4*ln(1+x**2-x*2**(1/2))*2**(1/2)"],
["1/(x**2-1)**(1/2)",x,2,"atanh(x/(x**2-1)**(1/2))"],
["x**(1/2)*(1+x)**(1/2)",x,4,"-1/4*asinh(x**(1/2))+1/2*x**(3/2)*(1+x)**(1/2)+1/4*x**(1/2)*(1+x)**(1/2)"],
["sin(x**(1/2))",x,3,"2*sin(x**(1/2))-2*cos(x**(1/2))*x**(1/2)"],
["x/(-x**2+1)**(9/8)",x,1,"4/(-x**2+1)**(1/8)"],
["x/(-x**4+1)**(1/2)",x,2,"1/2*asin(x**2)"],
["1/x/(x**4+1)**(1/2)",x,3,"-1/2*atanh((x**4+1)**(1/2))"],
["x/(x**4+x**2+1)**(1/2)",x,3,"1/2*asinh(1/3*(2*x**2+1)*3**(1/2))"],
["1/x/(-x**4+x**2-1)**(1/2)",x,3,"-1/2*atan(1/2*(-x**2+2)/(-x**4+x**2-1)**(1/2))"],
["(1+x)/(1-x)**2/(x**2+1)**(1/2)",x,1,"(x**2+1)**(1/2)/(1-x)"],
["1/(x**2+1)**(1/2)",x,1,"asinh(x)"],
["1/2*(x**(1/2)*(1+x)**(1/2)+x**(1/2)*(2+x)**(1/2)+(1+x)**(1/2)*(2+x)**(1/2))/x**(1/2)/(1+x)**(1/2)/(2+x)**(1/2)",x,3,"x**(1/2)+(1+x)**(1/2)+(2+x)**(1/2)"],
["1/2*(-2*(x**3+1)**(1/2)+5*x**4*(x**3+1)**(1/2)-3*x**2*(x**5-2*x+1)**(1/2))/(x**3+1)**(1/2)/(x**5-2*x+1)**(1/2)",x,5,"-(x**3+1)**(1/2)+(x**5-2*x+1)**(1/2)"],
["10/(x**2-4)**(1/2)+1/(x**2-1)**(1/2)",x,5,"10*atanh(x/(x**2-4)**(1/2))+atanh(x/(x**2-1)**(1/2))"],
["(x+(a**2+x**2)**(1/2))**(1/2)/x",x,6,"-2*atan((x+(a**2+x**2)**(1/2))**(1/2)/a**(1/2))*a**(1/2)-2*atanh((x+(a**2+x**2)**(1/2))**(1/2)/a**(1/2))*a**(1/2)+2*(x+(a**2+x**2)**(1/2))**(1/2)"],
["3/2*x**2/(1+x**3+(x**3+1)**(1/2))",x,4,"ln(1+(x**3+1)**(1/2))"],
["1/(2*h*r**2-alpha**2)**(1/2)",r,2,"1/2*atanh(r*2**(1/2)*h**(1/2)/(2*h*r**2-alpha**2)**(1/2))*2**(1/2)/h**(1/2)"],
["1/r/(2*h*r**2-alpha**2-epsilon**2)**(1/2)",r,3,"atan((2*h*r**2-alpha**2-epsilon**2)**(1/2)/(alpha**2+epsilon**2)**(1/2))/(alpha**2+epsilon**2)**(1/2)"],
["1/r/(2*h*r**2-alpha**2-2*k*r)**(1/2)",r,2,"-atan((alpha**2+k*r)/alpha/(2*h*r**2-alpha**2-2*k*r)**(1/2))/alpha"],
["1/r/(2*h*r**2-alpha**2-epsilon**2-2*k*r)**(1/2)",r,2,"-atan((alpha**2+epsilon**2+k*r)/(alpha**2+epsilon**2)**(1/2)/(2*h*r**2-alpha**2-epsilon**2-2*k*r)**(1/2))/(alpha**2+epsilon**2)**(1/2)"],
["r/(2*e*r**2-alpha**2)**(1/2)",r,1,"1/2*(2*e*r**2-alpha**2)**(1/2)/e"],
["r/(2*e*r**2-alpha**2-epsilon**2)**(1/2)",r,1,"1/2*(2*e*r**2-alpha**2-epsilon**2)**(1/2)/e"],
["r/(-2*k*r**4+2*e*r**2-alpha**2)**(1/2)",r,3,"-1/4*atan(1/2*(-2*k*r**2+e)*2**(1/2)/k**(1/2)/(-2*k*r**4+2*e*r**2-alpha**2)**(1/2))*2**(1/2)/k**(1/2)"],
["r/(2*e*r**2-alpha**2-2*k*r)**(1/2)",r,3,"-1/4*k*atanh(1/2*(-2*e*r+k)*2**(1/2)/e**(1/2)/(2*e*r**2-alpha**2-2*k*r)**(1/2))/e**(3/2)*2**(1/2)+1/2*(2*e*r**2-alpha**2-2*k*r)**(1/2)/e"],
["1/r/(-2*k*r**4+2*h*r**2-alpha**2)**(1/2)",r,3,"-1/2*atan((-h*r**2+alpha**2)/alpha/(-2*k*r**4+2*h*r**2-alpha**2)**(1/2))/alpha"],
["1/r/(-2*k*r**4+2*h*r**2-alpha**2-epsilon**2)**(1/2)",r,3,"-1/2*atan((-h*r**2+alpha**2+epsilon**2)/(alpha**2+epsilon**2)**(1/2)/(-2*k*r**4+2*h*r**2-alpha**2-epsilon**2)**(1/2))/(alpha**2+epsilon**2)**(1/2)"],
["a*cos(5+3*x)*sin(5+3*x)**2",x,3,"1/9*a*sin(5+3*x)**3"],
["ln(x**2)/x**3",x,1,"-1/2/x**2-1/2*ln(x**2)/x**2"],
["x*sin(a+x)",x,2,"-x*cos(a+x)+sin(a+x)"],
["(-1+(1-x)*ln(x))/exp(x)/ln(x)**2",x,1,"x/exp(x)/ln(x)"],
["x**3/(a*x**2+b)",x,3,"1/2*x**2/a-1/2*b*ln(a*x**2+b)/a**2"],
["x**(1/2)/(1+x)**(7/2)",x,2,"2/5*x**(3/2)/(1+x)**(5/2)+4/15*x**(3/2)/(1+x)**(3/2)"],
["1/x/(1+x)",x,3,"ln(x)-ln(1+x)"],
["1/x**(1/2)/(-1+2*x)",x,2,"-atanh(2**(1/2)*x**(1/2))*2**(1/2)"],
["x**(1/2)*(x**2+1)",x,2,"2/3*x**(3/2)+2/7*x**(7/2)"],
["(-a+x)**(1/3)/x",x,5,"3*(-a+x)**(1/3)+1/2*a**(1/3)*ln(x)-3/2*a**(1/3)*ln(a**(1/3)+(-a+x)**(1/3))+a**(1/3)*atan(1/3*(a**(1/3)-2*(-a+x)**(1/3))/a**(1/3)*3**(1/2))*3**(1/2)"],
["x*sinh(x)",x,2,"x*cosh(x)-sinh(x)"],
["x*cosh(x)",x,2,"-cosh(x)+x*sinh(x)"],
["sinh(2*x)/cosh(2*x)",x,1,"1/2*ln(cosh(2*x))"],
["(-1+I*eps*sinh(x))/(I*a-x+I*eps*cosh(x))",x,1,"ln(a+I*x+eps*cosh(x))"],
["cos(x)**2*sin(3+2*x)",x,4,"-1/4*cos(3+2*x)-1/16*cos(3+4*x)+1/4*x*sin(3)"],
["x*atan(x)",x,3,"-1/2*x+1/2*atan(x)+1/2*x**2*atan(x)"],
["x*acot(x)",x,3,"1/2*x+1/2*x**2*acot(x)-1/2*atan(x)"],
["x*ln(x**2+a)",x,3,"-1/2*x**2+1/2*(x**2+a)*ln(x**2+a)"],
["cos(x)*sin(a+x)",x,3,"-1/4*cos(a+2*x)+1/2*x*sin(a)"],
["cos(a+x)*sin(x)",x,3,"-1/4*cos(a+2*x)-1/2*x*sin(a)"],
["(1+sin(x))**(1/2)",x,1,"-2*cos(x)/(1+sin(x))**(1/2)"],
["(1-sin(x))**(1/2)",x,1,"2*cos(x)/(1-sin(x))**(1/2)"],
["(1+cos(x))**(1/2)",x,1,"2*sin(x)/(1+cos(x))**(1/2)"],
["(1-cos(x))**(1/2)",x,1,"-2*sin(x)/(1-cos(x))**(1/2)"],
["1/(-(-1+x)**(1/2)+x**(1/2))",x,3,"2/3*(-1+x)**(3/2)+2/3*x**(3/2)"],
["1/(1-(1+x)**(1/2))",x,4,"-2*ln(1-(1+x)**(1/2))-2*(1+x)**(1/2)"],
["x/(x**4+36)**(1/2)",x,2,"1/2*asinh(1/6*x**2)"],
["1/(x**(1/3)+x**(1/2))",x,4,"6*x**(1/6)-3*x**(1/3)-6*ln(1+x**(1/6))+2*x**(1/2)"],
["ln(3*x**2+2)",x,3,"-2*x+x*ln(3*x**2+2)+2/3*atan(1/2*x*6**(1/2))*6**(1/2)"],
["cot(x)",x,1,"ln(sin(x))"],
["cot(x)**4",x,3,"x+cot(x)-1/3*cot(x)**3"],
["tanh(x)",x,1,"ln(cosh(x))"],
["coth(x)",x,1,"ln(sinh(x))"],
["b**x",x,1,"b**x/ln(b)"],
["(2+1/x**4+x**4)**(1/2)",x,4,"-x*(2+1/x**4+x**4)**(1/2)/(x**4+1)+1/3*x**5*(2+1/x**4+x**4)**(1/2)/(x**4+1)"],
["(1+2*x)/(2+3*x)",x,2,"2/3*x-1/9*ln(2+3*x)"],
["x*ln(x+(x**2+1)**(1/2))",x,3,"1/4*asinh(x)+1/2*x**2*ln(x+(x**2+1)**(1/2))-1/4*x*(x**2+1)**(1/2)"],
["x*(1+exp(x)*sin(x))**2",x,14,"-3/32*exp(2*x)+1/8*exp(2*x)*x+1/2*x**2+exp(x)*cos(x)-exp(x)*x*cos(x)-1/32*exp(2*x)*cos(2*x)+exp(x)*x*sin(x)+1/16*exp(2*x)*cos(x)*sin(x)-1/4*exp(2*x)*x*cos(x)*sin(x)-1/16*exp(2*x)*sin(x)**2+1/4*exp(2*x)*x*sin(x)**2+1/32*exp(2*x)*sin(2*x)"],
["exp(x)*x*cos(x)",x,4,"1/2*exp(x)*x*cos(x)-1/2*exp(x)*sin(x)+1/2*exp(x)*x*sin(x)"],
["1/(-3+x)**4",x,1,"1/3/(3-x)**3"],
["x/(x**3-1)",x,6,"1/3*ln(1-x)-1/6*ln(x**2+x+1)+1/3*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["x/(x**4-1)",x,2,"-1/2*atanh(x**2)"],
["(x**3+1)*ln(x)/(x**4+2)",x,10,"1/8*(2+I*(-2)**(1/4))*ln(x)*ln(1-(1/2+1/2*I)*x*2**(1/4))+1/16*(4+(1-I)*2**(3/4))*ln(x)*ln(1+(1/2+1/2*I)*x*2**(1/4))+1/8*(2+(-2)**(1/4))*ln(x)*ln(1-1/2*(-1)**(3/4)*x*2**(3/4))+1/8*(2-(-2)**(1/4))*ln(x)*ln(1+1/2*(-1)**(3/4)*x*2**(3/4))+1/16*(4+(1-I)*2**(3/4))*polylog(2,(-1/2-1/2*I)*x*2**(1/4))+1/8*(2+I*(-2)**(1/4))*polylog(2,(1/2+1/2*I)*x*2**(1/4))+1/8*(2-(-2)**(1/4))*polylog(2,-1/2*(-1)**(3/4)*x*2**(3/4))+1/8*(2+(-2)**(1/4))*polylog(2,1/2*(-1)**(3/4)*x*2**(3/4))"],
["ln(x)+ln(1+x)+ln(2+x)",x,6,"-3*x+x*ln(x)+(1+x)*ln(1+x)+(2+x)*ln(2+x)"],
["1/(x**3+5)",x,6,"1/15*ln(5**(1/3)+x)*5**(1/3)-1/30*ln(5**(2/3)-5**(1/3)*x+x**2)*5**(1/3)-1/15*atan(1/15*(5**(1/3)-2*x)*5**(2/3)*3**(1/2))*5**(1/3)*3**(1/2)"],
["1/(x**2+1)**(1/2)",x,1,"asinh(x)"],
["(x**2+3)**(1/2)",x,2,"3/2*asinh(1/3*x*3**(1/2))+1/2*x*(x**2+3)**(1/2)"],
["x/(1+x)**2",x,2,"1/(1+x)+ln(1+x)"],
["asin(x)",x,2,"x*asin(x)+(-x**2+1)**(1/2)"],
["x**2*asin(x)",x,4,"-1/9*(-x**2+1)**(3/2)+1/3*x**3*asin(x)+1/3*(-x**2+1)**(1/2)"],
["sec(x)**2/(1+sec(x)**2-3*tan(x))",x,4,"-ln(cos(x)-sin(x))+ln(2*cos(x)-sin(x))"],
["1/sec(x)**2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["(5*x**2-3*x-2)/(-2+x)/x**2",x,2,"-1/x+3*ln(2-x)+2*ln(x)"],
["1/(4*x**2+9)**(1/2)",x,1,"1/2*asinh(2/3*x)"],
["1/(x**2+4)**(1/2)",x,1,"asinh(1/2*x)"],
["1/(9*x**2-12*x+10)",x,2,"-1/18*atan(1/6*(2-3*x)*6**(1/2))*6**(1/2)"],
["1/(x**8-2*x**7+2*x**6-2*x**5+x**4)",x,3,"1/2/(1-x)-1/3/x**3-1/x**2-2/x-5/2*ln(1-x)+2*ln(x)+1/4*ln(x**2+1)"],
["(a*x**3+b*x**2+c*x+d)/(-3+x)/x/(1+x)",x,2,"a*x+1/12*(27*a+9*b+3*c+d)*ln(3-x)-1/3*d*ln(x)-1/4*(a-b+c-d)*ln(1+x)"],
["1/(2-ln(x**2+1))**5",x,0,"Unintegrable(1/(2-ln(x**2+1))**5,x)"],
["exp(x**2)/x+2*exp(x**2)*x*ln(x)+(-2+ln(x))/(x+ln(x)**2)**2+(1+1/x+2*ln(x)/x)/(x+ln(x)**2)",x,9,"exp(x**2)*ln(x)-ln(x)/(x+ln(x)**2)+ln(x+ln(x)**2)"],
["x**4*exp(1/2*x+x*z)*sin(pi*z)**4",z,4,"24*exp(1/2*x+x*z)*pi**4*x**3/(64*pi**4+20*pi**2*x**2+x**4)-24*exp(1/2*x+x*z)*pi**3*x**4*cos(pi*z)*sin(pi*z)/(64*pi**4+20*pi**2*x**2+x**4)+12*exp(1/2*x+x*z)*pi**2*x**5*sin(pi*z)**2/(64*pi**4+20*pi**2*x**2+x**4)-4*exp(1/2*x+x*z)*pi*x**4*cos(pi*z)*sin(pi*z)**3/(16*pi**2+x**2)+exp(1/2*x+x*z)*x**5*sin(pi*z)**4/(16*pi**2+x**2)"],
["erf(x)",x,1,"x*erf(x)+1/exp(x**2)/pi**(1/2)"],
["erf(a+x)",x,1,"(a+x)*erf(a+x)+1/exp((a+x)**2)/pi**(1/2)"],
["(2*x**6+4*x**5+7*x**4-3*x**3-x**2-8*x-8)/(2*x**2-1)**2/(x**4+4*x**3+2*x**2+1)**(1/2)",x,-10,"-atanh(x*(2+x)*(33*x**3+27*x**2-x+7)/(31*x**3+37*x**2+2)/(x**4+4*x**3+2*x**2+1)**(1/2))+1/2*(1+2*x)*(x**4+4*x**3+2*x**2+1)**(1/2)/(2*x**2-1)"],
["(1+2*y)*(-5*y**2-5*y+1)**(1/2)/y/(1+y)/(2+y)/(-y**2-y+1)**(1/2)",y,-2,"-1/4*atanh((1-3*y)*(-5*y**2-5*y+1)**(1/2)/(1-5*y)/(-y**2-y+1)**(1/2))-1/2*atanh((4+3*y)*(-5*y**2-5*y+1)**(1/2)/(6+5*y)/(-y**2-y+1)**(1/2))+9/4*atanh(1/3*(11+7*y)*(-5*y**2-5*y+1)**(1/2)/(7+5*y)/(-y**2-y+1)**(1/2))"],
["x*(-(x**2-4)**(1/2)+x**2*(x**2-4)**(1/2)-4*(x**2-1)**(1/2)+x**2*(x**2-1)**(1/2))/(x**4-5*x**2+4)/(1+(x**2-4)**(1/2)+(x**2-1)**(1/2))",x,1,"ln(1+(x**2-4)**(1/2)+(x**2-1)**(1/2))"],
["-2**(1/2)*(x**4+2*x**2+4*x+1)**(1/2)+x*(-1+2*2**(1/2))",x,-1,"1/2*x**2*(-1+2*2**(1/2))-2**(1/2)*(-1/3*(x**4+2*x**2+4*x+1)**(1/2)+1/3*(1+x)*(x**4+2*x**2+4*x+1)**(1/2)+4*I*(-13+3*33**(1/2))**(1/3)*(x**4+2*x**2+4*x+1)**(1/2)/(4*2**(2/3)*(-I+3**(1/2))-2*I*(-13+3*33**(1/2))**(1/3)+6*I*x*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(I+3**(1/2))*(-13+3*33**(1/2))**(2/3))-8*2**(2/3)*elliptic_e((26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2)/((39+13*I*3**(1/2)-9*I*11**(1/2)-9*33**(1/2)+4*(3-I*3**(1/2))*(-26+6*33**(1/2))**(1/3))/(39-13*I*3**(1/2)+9*I*11**(1/2)-9*33**(1/2)+4*(3+I*3**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2)/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2),((84+28*I*3**(1/2)-12*I*11**(1/2)-12*33**(1/2)+(3-I*3**(1/2)-3*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3))/(84-28*I*3**(1/2)+12*I*11**(1/2)-12*33**(1/2)+(3+I*3**(1/2)+3*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2))*(x**4+2*x**2+4*x+1)**(1/2)*3**(1/2)/(-13+3*33**(1/2)+4*(-26+6*33**(1/2))**(1/3))**(1/2)*(I*(-19899+x*(59697-10335*33**(1/2))+3445*33**(1/2)+(-26+6*33**(1/2))**(2/3)*(-2574+466*33**(1/2))+(-26+6*33**(1/2))**(1/3)*(-19899+3445*33**(1/2)))/(-39-13*I*3**(1/2)+9*I*11**(1/2)+9*33**(1/2)+4*I*(3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3))/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3)))**(1/2)/(4*2**(2/3)-(-13+3*33**(1/2))**(1/3)+3*x*(-13+3*33**(1/2))**(1/3)-2**(1/3)*(-13+3*33**(1/2))**(2/3))/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2)/(I*(1+x)/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3))/(104-24*33**(1/2)+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3)))**(1/2)/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2)+1/6*Ellipticpi(1/6*(13-3*33**(1/2)-2**(1/3)*(-13+3*33**(1/2))**(4/3)+4*(-26+6*33**(1/2))**(2/3)+x*(-39+9*33**(1/2)))**(1/2)*2**(5/6)*3**(1/2)/(-13+3*33**(1/2))**(2/3)/(1+x)**(1/2)/((-39+13*I*3**(1/2)-9*I*11**(1/2)+9*33**(1/2)-4*I*(-3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3))/(104-24*33**(1/2)+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3)))**(1/2),2**(1/3)*(4*2**(1/3)*(-3*I+3**(1/2))+(3*I+3**(1/2))*(-13+3*33**(1/2))**(2/3))/(4*2**(2/3)*(-I+3**(1/2))-8*I*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(I+3**(1/2))*(-13+3*33**(1/2))**(2/3)),((84-28*I*3**(1/2)+12*I*11**(1/2)-12*33**(1/2)+(3+I*3**(1/2)+3*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3))/(84+28*I*3**(1/2)-12*I*11**(1/2)-12*33**(1/2)+(3-I*3**(1/2)-3*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2))*(4*2**(2/3)+2*(-13+3*33**(1/2))**(1/3)-2**(1/3)*(-13+3*33**(1/2))**(2/3))*(4*2**(2/3)*(I+3**(1/2))-4*I*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(-I+3**(1/2))*(-13+3*33**(1/2))**(2/3))*(4*2**(2/3)*(-I+3**(1/2))+4*I*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(I+3**(1/2))*(-13+3*33**(1/2))**(2/3))*(1+x)**(1/2)*(x**4+2*x**2+4*x+1)**(1/2)*((-39+13*I*3**(1/2)-9*I*11**(1/2)+9*33**(1/2)-4*I*(-3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3))/(104-24*33**(1/2)+(-13+13*I*3**(1/2)-9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-4-4*I*3**(1/2))*(-26+6*33**(1/2))**(2/3)))**(1/2)*((104-24*33**(1/2)+2*(1+14*I*3**(1/2)-6*I*11**(1/2)+33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-7-I*3**(1/2)-3*I*11**(1/2)+33**(1/2))*(-26+6*33**(1/2))**(2/3)+2*x*(-52+12*33**(1/2)+2**(1/3)*(-13+3*33**(1/2))**(4/3)-4*(-26+6*33**(1/2))**(2/3)))/(1+x)/(-39+13*I*3**(1/2)-9*I*11**(1/2)+9*33**(1/2)-4*I*(-3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2)*((104-24*33**(1/2)+2*(1-14*I*3**(1/2)+6*I*11**(1/2)+33**(1/2))*(-26+6*33**(1/2))**(1/3)+(-7+I*3**(1/2)+3*I*11**(1/2)+33**(1/2))*(-26+6*33**(1/2))**(2/3)+2*x*(-52+12*33**(1/2)+2**(1/3)*(-13+3*33**(1/2))**(4/3)-4*(-26+6*33**(1/2))**(2/3)))/(1+x)/(-39-13*I*3**(1/2)+9*I*11**(1/2)+9*33**(1/2)+4*I*(3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2)*2**(5/6)*3**(1/2)/(4*2**(2/3)*(I+3**(1/2))+2*I*(-13+3*33**(1/2))**(1/3)-6*I*x*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(-I+3**(1/2))*(-13+3*33**(1/2))**(2/3))/(4*2**(2/3)*(-I+3**(1/2))-2*I*(-13+3*33**(1/2))**(1/3)+6*I*x*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(I+3**(1/2))*(-13+3*33**(1/2))**(2/3))/(13-3*33**(1/2)-2**(1/3)*(-13+3*33**(1/2))**(4/3)+4*(-26+6*33**(1/2))**(2/3)+x*(-39+9*33**(1/2)))**(1/2)+1/18*I*elliptic_f(1/6*I*(-52+12*33**(1/2)+2**(1/3)*(-13+3*33**(1/2))**(4/3)-4*(-26+6*33**(1/2))**(2/3))**(1/2)*(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2)*2**(5/6)*3**(1/2)/(-13+3*33**(1/2))**(2/3)/(1+x)**(1/2)/(39+13*I*3**(1/2)-9*I*11**(1/2)-9*33**(1/2)+4*(3-I*3**(1/2))*(-26+6*33**(1/2))**(1/3))**(1/2),((84*I-28*3**(1/2)+12*11**(1/2)-12*I*33**(1/2)+(3*I+3**(1/2)+3*11**(1/2)+3*I*33**(1/2))*(-26+6*33**(1/2))**(1/3))/(-56*3**(1/2)+24*11**(1/2)+2*(-26+6*33**(1/2))**(1/3)*(3**(1/2)+3*11**(1/2))))**(1/2))*(2**(1/3)*(13-13*I*3**(1/2)+9*I*11**(1/2)-3*33**(1/2))+4*2**(2/3)*(1+I*3**(1/2))*(-13+3*33**(1/2))**(1/3)+20*(-13+3*33**(1/2))**(2/3))*(4*2**(2/3)*(I+3**(1/2))+8*I*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(-I+3**(1/2))*(-13+3*33**(1/2))**(2/3))*(x**4+2*x**2+4*x+1)**(1/2)*(1/(-13+3*33**(1/2)+4*(-26+6*33**(1/2))**(1/3))*(-52+12*33**(1/2)+2**(1/3)*(-13+3*33**(1/2))**(4/3)-4*(-26+6*33**(1/2))**(2/3)))**(1/2)*((-8*I*(-13+3*33**(1/2))+(-43*I-13*3**(1/2)+9*11**(1/2)+5*I*33**(1/2))*(-26+6*33**(1/2))**(1/3)+(2*I+4*3**(1/2)-2*I*33**(1/2))*(-26+6*33**(1/2))**(2/3)+x*(8*I*(-13+3*33**(1/2))+(13*I-13*3**(1/2)+9*11**(1/2)-3*I*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3)))/(1+x))**(1/2)*2**(1/3)*3**(1/4)/(-13+3*33**(1/2))**(1/3)/(4*2**(2/3)*(-I+3**(1/2))-2*I*(-13+3*33**(1/2))**(1/3)+6*I*x*(-13+3*33**(1/2))**(1/3)+2**(1/3)*(I+3**(1/2))*(-13+3*33**(1/2))**(2/3))/(1+x)**(1/2)/(39+13*I*3**(1/2)-9*I*11**(1/2)-9*33**(1/2)+4*(3-I*3**(1/2))*(-26+6*33**(1/2))**(1/3))**(1/2)/(26-6*33**(1/2)+6*x*(-13+3*33**(1/2))+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3))**(1/2)/((-104+24*33**(1/2)-(5-3*I*3**(1/2)+3*I*11**(1/2)+33**(1/2))*(-26+6*33**(1/2))**(2/3)+(-26+6*33**(1/2))**(1/3)*(-41+15*I*3**(1/2)-3*I*11**(1/2)+7*33**(1/2))+x*(104-24*33**(1/2)+(-13-13*I*3**(1/2)+9*I*11**(1/2)+3*33**(1/2))*(-26+6*33**(1/2))**(1/3)+4*I*(I+3**(1/2))*(-26+6*33**(1/2))**(2/3)))/(1+x)/(-39-13*I*3**(1/2)+9*I*11**(1/2)+9*33**(1/2)+4*I*(3*I+3**(1/2))*(-26+6*33**(1/2))**(1/3)))**(1/2))"],
["1/384*(pi**2*(4*mc**9-3*mc**8-48*mc**7*x+24*mc**6*x-144*mc**5*x**2+176*mc**3*x**3-24*mc**2*x**3+12*mc*x**4+3*x**4)+12*mc**3*pi**2*(-12*mc**2+3*mc-8*x)*x**2*ln(x/mc**2))/exp(x/y)/x**2",x,20,"1/384*(3-4*mc)*mc**8*pi**2/exp(x/y)/x+3/8*mc**5*pi**2*y/exp(x/y)+1/48*(3-22*mc)*mc**2*pi**2*x*y/exp(x/y)-1/128*(1+4*mc)*pi**2*x**2*y/exp(x/y)+1/48*(3-22*mc)*mc**2*pi**2*y**2/exp(x/y)+1/4*mc**3*pi**2*y**2/exp(x/y)-1/64*(1+4*mc)*pi**2*x*y**2/exp(x/y)-1/64*(1+4*mc)*pi**2*y**3/exp(x/y)+1/16*(1-2*mc)*mc**6*pi**2*Ei(-x/y)+1/384*(3-4*mc)*mc**8*pi**2*Ei(-x/y)/y+1/32*mc**3*pi**2*(-12*mc**2+3*mc-8*y)*y*Ei(-x/y)-1/32*mc**3*pi**2*(3*(1-4*mc)*mc-8*x)*y*ln(x/mc**2)/exp(x/y)+1/4*mc**3*pi**2*y**2*ln(x/mc**2)/exp(x/y)"],
["sin(2*x)/cos(x)",x,2,"-2*cos(x)"],
["(7*x**13+10*x**8+4*x**7-7*x**6-4*x**3-4*x**2+3*x+3)/(x**14-2*x**8-2*x**7-2*x**4-4*x**3-x**2+2*x+1)",x,-5,"-1/2*ln(-1+x**7+x*(2**(1/2)-1)+x**2*2**(1/2))*(2**(1/2)-1)+1/2*ln(1+x-x**7+x*2**(1/2)+x**2*2**(1/2))*(1+2**(1/2))"]]
